#
Summary:	Utilities for IPv4/IPv6 networking
Summary(pl.UTF-8):	Użytki przeznaczone dla pracy z siecią IPv4/IPv6
Summary(ru.UTF-8):	Набор базовых сетевых утилит (ping, tracepath etc.)
Summary(uk.UTF-8):	Набір базових мережевих утиліт (ping, tracepath etc.)
Name:		iputils
Version:	s20190709
Release:	1
Epoch:		2
License:	BSD
Group:		Networking/Admin
Source0:	https://github.com/iputils/iputils/archive/%{version}.tar.gz
# Source0-md5:	d8d1d5af83aeae946ae909ddc0041cca
URL:		https://github.com/iputils/iputils
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils >= 0.6.10
BuildRequires:	libcap-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libidn2-devel
BuildRequires:	libmnl-devel
BuildRequires:	linux-libc-headers
BuildRequires:	meson
BuildRequires:	openssl-devel
BuildRequires:	sysfsutils-devel
Requires:	arping
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPv4/IPv6 networking utils:
- clockdiff - measures clock difference between us and destination
  with 1msec resolution,
- traceroute6,
- rdisc - classic router discovery daemon,
- tracepath/tracepath6 - trace path to destination discovering MTU
  along this path using UDP packets

%description -l pl.UTF-8
Narzędzia przeznaczone dla sieci IPv4/IPv6:
- clockdiff - sprawdza różnicę czasu/daty pomiędzy nami a innym
  komputerem z rozdzielczością 1ms,
- traceroute6,
- rdisc - klasyczny demon router discovery,
- tracepath/tracepath6 - śledzą drogę pakietów do celu przy użyciu
  pakietów UDP, sprawdzając MTU

%description -l ru.UTF-8
Пакет iputils содержит набор базовых сетевых утилит (ping, tracepath
etc.) от Алексея Кузнецова. Он НЕ включает классический traceroute,
который содержится в отдельном пакете.

%description -l uk.UTF-8
Пакет iputils містить набір базових мережевих утиліт (ping, tracepath
etc.) від Олексія Кузнєцова. Він НЕ містить класичного traceroute,
який міститься в окремому пакеті.

%package -n ping
Summary:	IPv4 and IPv6 ping commands
Summary(pl.UTF-8):	Programy ping wykorzystujące IPv4 i IPv6
Group:		Networking/Admin
Obsoletes:	inetutils-ping
Obsoletes:	iputils-ping < 2:s20151218-2

%description -n ping
IPv4 and IPv6 ping commands.

%description -n ping -l pl.UTF-8
Programy ping wykorzystujące IPv4 i IPv6.

%package arping
Summary:	arping utility
Summary(pl.UTF-8):	Narzędzie arping
Group:		Networking/Admin
Provides:	arping
Obsoletes:	arping

%description arping
Utility to ping given address on given device by ARP packets, using
given source address.

%description arping -l pl.UTF-8
Narzędzie pingujące podany adres na podanym interfejsie wysyłając
pakiety ARP z użyciem podanego adresu źródłowego.

%prep
%setup -q

%build
%meson build \
  --bindir=%{_sbindir} \
  -DBUILD_NINFOD=true \
  -DUSE_CAP=true \
  -DUSE_GETTEXT=true \
  -DUSE_IDN=true \
  -DUSE_CRYPTO=gcrypt \
  -DBUILD_ARPING=true \
  -DBUILD_CLOCKDIFF=true \
  -DBUILD_PING=true \
  -DBUILD_RARPD=true \
  -DBUILD_RDISC=true \
  -DBUILD_TFTPD=false \
  -DBUILD_TRACEPATH=true \
  -DBUILD_TRACEROUTE6=true \
  -DBUILD_MANS=true \
  -DENABLE_RDISC_SERVER=true \
  -DBUILD_NINFOD=true \
  -DNINFOD_MESSAGES=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,/bin,/sbin}

%ninja_install -C build

mv $RPM_BUILD_ROOT{%{_sbindir}/ping,/bin}
mv $RPM_BUILD_ROOT{%{_sbindir}/arping,/sbin}

ln -s ping $RPM_BUILD_ROOT/bin/ping4
ln -s ping $RPM_BUILD_ROOT/bin/ping6
ln -s tracepath $RPM_BUILD_ROOT%{_sbindir}/tracepath4
ln -s tracepath $RPM_BUILD_ROOT%{_sbindir}/tracepath6

echo ".so ping.8" > $RPM_BUILD_ROOT%{_mandir}/man8/ping4.8
echo ".so ping.8" > $RPM_BUILD_ROOT%{_mandir}/man8/ping6.8
echo ".so tracepath.8" > $RPM_BUILD_ROOT%{_mandir}/man8/tracepath4.8
echo ".so tracepath.8" > $RPM_BUILD_ROOT%{_mandir}/man8/tracepath6.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(4754,root,adm) %{_sbindir}/clockdiff
%attr(755,root,root) %{_sbindir}/ninfod
%attr(755,root,root) %{_sbindir}/rarpd
%attr(755,root,root) %{_sbindir}/rdisc
%attr(755,root,root) %{_sbindir}/tracepath
%attr(755,root,root) %{_sbindir}/tracepath4
%attr(755,root,root) %{_sbindir}/tracepath6
%attr(4754,root,adm) %{_sbindir}/traceroute6
%{_mandir}/man8/clockdiff.8*
%{_mandir}/man8/ninfod.8*
%{_mandir}/man8/rarpd.8*
%{_mandir}/man8/rdisc.8*
%{_mandir}/man8/tracepath.8*
%{_mandir}/man8/tracepath4.8*
%{_mandir}/man8/tracepath6.8*
%{_mandir}/man8/traceroute6.8*

%files -n ping
%defattr(644,root,root,755)
%attr(4755,root,root) %verify(not mode) /bin/ping
%attr(4755,root,root) %verify(not mode) /bin/ping4
%attr(4755,root,root) %verify(not mode) /bin/ping6
%{_mandir}/man8/ping4.8*
%{_mandir}/man8/ping6.8*
%{_mandir}/man8/ping.8*

%files arping
%defattr(644,root,root,755)
%attr(4755,root,root) /sbin/arping
%{_mandir}/man8/arping.8*
%changelog
* Fri Mar 13 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/iputils.git;a=log;h=master

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> fabbb5e
- up to s20190709; build docs always; switch to meson

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> 5613f4c
- release 2, rebuild against libnettle.so.6 (nettle-3.5)

* Wed Feb 20 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> f7e1ca5
- up to s20180629

* Sat Aug 27 2016 Jan Rękorajski <baggins@pld-linux.org> 136bc2a
- release 3 (by relup.sh)

* Mon Jul 11 2016 Elan Ruusamäe <glen@delfi.ee> 7bd7c12
- rename ping pacakge to just "ping"

* Tue May 24 2016 Elan Ruusamäe <glen@delfi.ee> 04ae4b6
- adapter

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 50138f7
- updated to s20151218
- updated bindnow patch
- removed obsolete pingsock patch

* Tue May 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 1ff68df
- BR: gnutls-openssl-devel (for ping6)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c4b7277
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 54c5278
- updated to s20121221
- updated bindnow patch
- removed obsolete doc patch

* Mon Nov 26 2012 Jakub Bogusz <qboosh@pld-linux.org> abccb06
- updated to s20121126
- updated bindnow patch

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 0d65c7a
- build and package ninfod (maybe it should be in subpackage with init script)

* Thu Nov 15 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fcd22f
- release 2 (by relup.sh)

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 477b1b5
- added doc patch (fixes sgml errors)

* Thu Nov 15 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f480b1d
- up to s20121114

* Sun Nov 11 2012 Jakub Bogusz <qboosh@pld-linux.org> a643421
- updated to 20121106
- updated bindnow patch

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> e099df1
- updated to s20121011
- updated bindnow,pingsock patches
- removed obsolete build patch

* Fri Mar 09 2012 Jan Rękorajski <baggins@pld-linux.org> 2d53e5c
- rel 3
- drop ping paranoia, there is no real reason for it, it's only SbO

* Fri Jul 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bbdac1e
- rel 2; icmp sockets support introduced in linux kernel 3.0

* Thu Feb 03 2011 Jakub Bogusz <qboosh@pld-linux.org> c18a916
- updated URL
- use __rm macro

